ata_set_max_sectors
Prev | Chapter 5. libata Core Internals | Next

## Name

ata_set_max_sectors — Set max sectors

## Synopsis

`int ata_set_max_sectors (` | struct ata_device * | dev,
| u64 | new_sectors`)`;

## Arguments

`dev`

  target device

`new_sectors`

  new max sectors value to set for the device

## Description

Set max sectors of `dev` to `new_sectors`.

## RETURNS

0 on success, -EACCES if command is aborted or denied (due to previous non-volatile SET_MAX) by the drive. -EIO on other errors.

Prev | Up | Next
ata_read_native_max_address | Home | ata_hpa_resize